# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global short_name commons-parent
%global namedversion %{version}

Name:           mojo-parent
Version:        28
Release:        1%{?dist}
Epoch:          0
Summary:        Codehaus Mojo Parent
License:        MIT
Group:          Development/Java
URL:            http://svn.codehaus.org/mojo/tags/mojo-parent-28
# svn -q export http://svn.codehaus.org/mojo/tags/mojo-parent-28/ && tar cjf mojo-parent-28.tar.bz2 mojo-parent-28
# Exported revision 13636.
Source0:        mojo-parent-28.tar.bz2
Source1:        mojo-parent-settings.xml
Source2:        mojo-parent-jpp-depmap.xml
Patch0:         mojo-parent-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       codehaus-parent >= 0:3
Requires:       jpackage-utils
Requires:       maven2-plugin-enforcer
Requires:       maven2-plugin-plugin
Requires:       cobertura-maven-plugin
Requires:       maven2-plugin-project-info-reports
Requires:       maven2-plugin-assembly
Requires:       maven2-plugin-checkstyle
Requires:       maven2-plugin-source
Requires:       maven2-plugin-deploy
Requires:       maven2-plugin-javadoc
Requires:       maven2-plugin-jxr
Requires:       maven2-plugin-gpg
Requires:       maven2-plugin-surefire
Requires:       maven-plugin-tools-javadoc
Requires:       plexus-containers-component-javadoc
Requires:       maven2-plugin-pmd
Requires:       taglist-maven-plugin
Requires:       maven2-plugin-site
Requires:       maven-surefire-report-maven-plugin
Requires:       plexus-utils
BuildRequires:  codehaus-parent >= 0:3
BuildRequires:  jpackage-utils
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-plugin
BuildRequires:  cobertura-maven-plugin
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-checkstyle
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-jxr
BuildRequires:  maven2-plugin-gpg
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-plugin-tools-javadoc
BuildRequires:  plexus-containers-component-javadoc
BuildRequires:  maven2-plugin-pmd
BuildRequires:  taglist-maven-plugin
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  plexus-utils
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  velocity15
BuildRequires:  maven-skins
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Codehaus Mojo Parent.

%prep
%setup -q
%patch0 -p0 -b .sav0

%{__cp} -p %{SOURCE1} maven2-settings.xml

%{__sed} -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
%{__sed} -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

%{__mkdir} external_repo
%{__ln_s} %{_javadir} external_repo/JPP

%build
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
export M2_SETTINGS=$(pwd)/maven2-settings.xml
%{_bindir}/mvn-jpp -e \
        -s ${M2_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -DaltDeploymentRepository=jboss-releases::default::file:maven2-brew \
        deploy site

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.codehaus.mojo mojo-parent %{version} JPP %{name}

#org/codehaus/mojo/mojo-parent/28/mojo-parent-28-site.xml

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Sun Feb 20 2011 David Walluck <dwalluck@redhat.com> 0:28-1
- 28

* Tue Sep 14 2010 David Walluck <dwalluck@redhat.com> 0:20-3
- add mojo-parent pom patch to remove helpmojo

* Fri Jan 08 2010 David Walluck <dwalluck@redhat.com> 0:20-2
- update License
- update Summary

* Fri Jan 08 2010 David Walluck <dwalluck@redhat.com> 0:20-1
- release
